You are not logged in.

#1 2013-06-14 04:09:57

victorhooi
Member
Registered: 2009-08-06
Posts: 109

Issues installing - pacstrap fails with GPGME error: No data

Hi,

I'm attempting to install ArchLinux by following the Beginner's Guide here:

https://wiki.archlinux.org/index.php/Beginners%27_Guide

This is under VirtualBox 4.2.12, running under a Windows 7 host. The host is behind a proxy server.

I've exported http_proxy and https_proxy in the ArchLinux guest.

I've mounted my partitions, and now I'm attempting to run bootstrap with pacstrap:

pacstrap -i /mnt base
==> Creating install root at /mnt
==> Installing packages to /mnt
:: Synchronizing package databases...
error: GPGME error: No data
error: failed to update core (invalid or corrupted database (PGP signature))
error: GPGME error: No data
error: failed to update extra (invalid or corrupted database (PGP signature))
error: GPGME error: No data
error: failed to update community (invalid or corrupted database (PGP signature))
error: failed to synchronize any databases
error: failed to init transaction (invalid or corrupted database (PGP signature))
==> ERROR: Failed to install packages to new root

I then tried

pacman-key --init && pacman-key --populate archlinux
==> Appending keys from archlinux.gpg...
==> Locally signing trusted keys in keyring...
  -> Locally signing key ...
  ...
==> Importing owner trust values...
==> Disabling revoked keys in keyring...
  -> Disabling key...
  ...
==> Updating trust database...
gpg: next trustdb check due at 2014-01-22

Then I try running pacstrap again, and I get the same errors:

pacstrap -i /mnt base
==> Creating install root at /mnt
==> Installing packages to /mnt
error: GPGME error: No data
error: GPGME error: No data
error: GPGME error: No data
:: Synchronizing package databases...
error: GPGME error: No data
error: failed to update core (invalid or corrupted database (PGP signature))
error: GPGME error: No data
error: failed to update extra (invalid or corrupted database (PGP signature))
error: GPGME error: No data
error: failed to update community (invalid or corrupted database (PGP signature))
error: failed to synchronize any databases
error: failed to init transaction (invalid or corrupted database (PGP signature))
==> ERROR: Failed to install packages to new root

Also, I should add that if I set SigLevel = Never in pacman.conf, I get:

pacstrap -i /mnt base
==> Creating install root at /mnt
==> Installing packages to /mnt
:: Synchronizing package databases...
error: could not open file /mnt/var/lib/pacman/sync/core.db: Unrecognized archive format
error: could not open file /mnt/var/lib/pacman/sync/extra.db: Unrecognized archive format
error: could not open file /mnt/var/lib/pacman/sync/community.db: Unrecognized archive format
...
error: target not found: base
==> ERROR: Failed to install packages to new root

Cheers,
Victor

Last edited by victorhooi (2013-06-14 04:13:33)

Offline

#2 2013-06-14 04:13:45

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 18,576
Website

Re: Issues installing - pacstrap fails with GPGME error: No data


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

Board footer

Powered by FluxBB